<template>
  <button
      :class="{
        'link-button': true,
        'link-disabled': disabled,
        'negative-action': negative,
        [`${$attrs.class}`]: true
      }"
      @click="onClick"
  >
    <slot/>
  </button>
</template>

<script>
  export default {
    name: 'VButtonLink',
    props: {
      disabled: Boolean,
      negative: Boolean,
      to: String
    },
    methods: {
      onClick() {
        if (!this.disabled) {
          if (this.to) {
            this.$router.push(this.to)
          }
          this.$emit('click')
        }
      }
    }
  }
</script>

<style scoped lang="scss">
  @import "../common";
  @import "./dark/v-button-link";

  .link-button {
    @extend a;

    background: none;
    border: none;
    font-size: 1em;

    display: inline-block;
    margin: -0.5em;
    padding: 0.5em 0.5em 0.62em;
    cursor: pointer;
    user-select: none;
  }

  .negative-action {
    color: #ae5c52;
  }
</style>